# Copyright Indexima
#
#
#

if [ ! -r "./config.sh" ] ; then 
	echo "The file config.sh is not found. Please create it based on the template file.";
    exit 1;
fi

export VISUALDOOP_LIB=visualdoop2-webapp-2022.1.1669.7.jar

. ./config.sh


if [ $# -eq 1 ] ; then
	INSTANCE_NAME="-Didx_instance_name=${1}"
fi


echo "Starting instance ${1}"


$JAVA_HOME/bin/java ${INSTANCE_NAME} -cp :config:lib/*:driver/*:web:templates:$VISUALDOOP_LIB com.visualdoop.Visualdoop
